DOM::HTMLTableElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLTableElement Class Reference

The create* and delete* methods on the table allow authors to construct and modify tables. More...

`#include <html_table.h>`

Inheritance diagram for DOM::HTMLTableElement:

[legend]
Collaboration diagram for DOM::HTMLTableElement:

[legend]
List of all members.

## Public Member Functions
| HTMLTableElement (const HTMLTableElement &other)
| HTMLTableElement (const Node &other)
HTMLTableElement & | operator= (const HTMLTableElement &other)
HTMLTableElement & | operator= (const Node &other)
HTMLTableCaptionElement | caption () const
| Returns the table's `CAPTION` , or void if none exists.
void | setCaption (const HTMLTableCaptionElement &)
| see caption
HTMLTableSectionElement | tHead () const
| Returns the table's `THEAD` , or `null` if none exists.
void | setTHead (const HTMLTableSectionElement &)
| see tHead
HTMLTableSectionElement | tFoot () const
| Returns the table's `TFOOT` , or `null` if none exists.
void | setTFoot (const HTMLTableSectionElement &)
| see tFoot
HTMLCollection | rows () const
| Returns a collection of all the rows in the table, including all in `THEAD` , `TFOOT` , all `TBODY` elements.
HTMLCollection | tBodies () const
| Returns a collection of the table bodies (including implicit ones).
DOMString | align () const
| Specifies the table's position with respect to the rest of the document.
void | setAlign (const DOMString &)
| see align
DOMString | bgColor () const
| Cell background color.
void | setBgColor (const DOMString &)
| see bgColor
DOMString | border () const
| The width of the border around the table.
void | setBorder (const DOMString &)
| see border
DOMString | cellPadding () const
| Specifies the horizontal and vertical space between cell content and cell borders.
void | setCellPadding (const DOMString &)
| see cellPadding
DOMString | cellSpacing () const
| Specifies the horizontal and vertical separation between cells.
void | setCellSpacing (const DOMString &)
| see cellSpacing
DOMString | frame () const
| Specifies which external table borders to render.
void | setFrame (const DOMString &)
| see frame
DOMString | rules () const
| Specifies which internal table borders to render.
void | setRules (const DOMString &)
| see rules
DOMString | summary () const
| Supplementary description about the purpose or structure of a table.
void | setSummary (const DOMString &)
| see summary
DOMString | width () const
| Specifies the desired table width.
void | setWidth (const DOMString &)
| see width
HTMLElement | createTHead ()
| Create a table header row or return an existing one.
void | deleteTHead ()
| Delete the header from the table, if one exists.
HTMLElement | createTFoot ()
| Create a table footer row or return an existing one.
void | deleteTFoot ()
| Delete the footer from the table, if one exists.
HTMLElement | createCaption ()
| Create a new table caption object or return an existing one.
void | deleteCaption ()
| Delete the table caption, if one exists.
HTMLElement | insertRow (long index)
| Insert a new empty row in the table.
void | deleteRow (long index)
| Delete a table row.
## Protected Member Functions
| HTMLTableElement (HTMLTableElementImpl *impl)

## Detailed Description

The create* and delete* methods on the table allow authors to construct and modify tables.

HTML 4.0 specifies that only one of each of the `CAPTION` , `THEAD` , and `TFOOT` elements may exist in a table. Therefore, if one exists, and the createTHead() or createTFoot() method is called, the method returns the existing THead or TFoot element. See the TABLE element definition in HTML 4.0.

Definition at line 441 of file html_table.h.

## Member Function Documentation

HTMLTableCaptionElement HTMLTableElement::caption | ( |  | ) | const

| Returns the table's `CAPTION` , or void if none exists. Definition at line 419 of file html_table.cpp.

void HTMLTableElement::setCaption | ( | const HTMLTableCaptionElement & |  | ) |

| see caption Definition at line 425 of file html_table.cpp. References DOM::Node::impl.

HTMLTableSectionElement HTMLTableElement::tHead | ( |  | ) | const

| Returns the table's `THEAD` , or `null` if none exists. Definition at line 432 of file html_table.cpp.

void HTMLTableElement::setTHead | ( | const HTMLTableSectionElement & |  | ) |

| see tHead Definition at line 438 of file html_table.cpp. References DOM::Node::impl.

HTMLTableSectionElement HTMLTableElement::tFoot | ( |  | ) | const

| Returns the table's `TFOOT` , or `null` if none exists. Definition at line 446 of file html_table.cpp.

void HTMLTableElement::setTFoot | ( | const HTMLTableSectionElement & |  | ) |

| see tFoot Definition at line 452 of file html_table.cpp. References DOM::Node::impl.

HTMLCollection HTMLTableElement::rows | ( |  | ) | const

| Returns a collection of all the rows in the table, including all in `THEAD` , `TFOOT` , all `TBODY` elements. Definition at line 460 of file html_table.cpp.

HTMLCollection HTMLTableElement::tBodies | ( |  | ) | const

| Returns a collection of the table bodies (including implicit ones). Definition at line 466 of file html_table.cpp.

DOMString HTMLTableElement::align | ( |  | ) | const

| Specifies the table's position with respect to the rest of the document. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 472 of file html_table.cpp.

void HTMLTableElement::setAlign | ( | const DOMString & |  | ) |

| see align Definition at line 478 of file html_table.cpp.

DOMString HTMLTableElement::bgColor | ( |  | ) | const

| Cell background color. See the bgcolor attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 483 of file html_table.cpp.

void HTMLTableElement::setBgColor | ( | const DOMString & |  | ) |

| see bgColor Definition at line 489 of file html_table.cpp.

DOMString HTMLTableElement::border | ( |  | ) | const

| The width of the border around the table. See the border attribute definition in HTML 4.0. Definition at line 494 of file html_table.cpp.

void HTMLTableElement::setBorder | ( | const DOMString & |  | ) |

| see border Definition at line 500 of file html_table.cpp.

DOMString HTMLTableElement::cellPadding | ( |  | ) | const

| Specifies the horizontal and vertical space between cell content and cell borders. See the cellpadding attribute definition in HTML 4.0. Definition at line 505 of file html_table.cpp.

void HTMLTableElement::setCellPadding | ( | const DOMString & |  | ) |

| see cellPadding Definition at line 511 of file html_table.cpp.

DOMString HTMLTableElement::cellSpacing | ( |  | ) | const

| Specifies the horizontal and vertical separation between cells. See the cellspacing attribute definition in HTML 4.0. Definition at line 516 of file html_table.cpp.

void HTMLTableElement::setCellSpacing | ( | const DOMString & |  | ) |

| see cellSpacing Definition at line 522 of file html_table.cpp.

DOMString HTMLTableElement::frame | ( |  | ) | const

| Specifies which external table borders to render. See the frame attribute definition in HTML 4.0. Definition at line 527 of file html_table.cpp.

void HTMLTableElement::setFrame | ( | const DOMString & |  | ) |

| see frame Definition at line 533 of file html_table.cpp.

DOMString HTMLTableElement::rules | ( |  | ) | const

| Specifies which internal table borders to render. See the rules attribute definition in HTML 4.0. Definition at line 538 of file html_table.cpp.

void HTMLTableElement::setRules | ( | const DOMString & |  | ) |

| see rules Definition at line 544 of file html_table.cpp.

DOMString HTMLTableElement::summary | ( |  | ) | const

| Supplementary description about the purpose or structure of a table. See the summary attribute definition in HTML 4.0. Definition at line 549 of file html_table.cpp.

void HTMLTableElement::setSummary | ( | const DOMString & |  | ) |

| see summary Definition at line 555 of file html_table.cpp.

DOMString HTMLTableElement::width | ( |  | ) | const

| Specifies the desired table width. See the width attribute definition in HTML 4.0. Definition at line 560 of file html_table.cpp.

void HTMLTableElement::setWidth | ( | const DOMString & |  | ) |

| see width Definition at line 566 of file html_table.cpp.

HTMLElement HTMLTableElement::createTHead | ( |  | ) |

| Create a table header row or return an existing one. Returns: A new table header element ( `THEAD` ). Definition at line 571 of file html_table.cpp.

void HTMLTableElement::deleteTHead | ( |  | ) |

| Delete the header from the table, if one exists. Returns: Definition at line 577 of file html_table.cpp.

HTMLElement HTMLTableElement::createTFoot | ( |  | ) |

| Create a table footer row or return an existing one. Returns: A footer element ( `TFOOT` ). Definition at line 583 of file html_table.cpp.

void HTMLTableElement::deleteTFoot | ( |  | ) |

| Delete the footer from the table, if one exists. Returns: Definition at line 589 of file html_table.cpp.

HTMLElement HTMLTableElement::createCaption | ( |  | ) |

| Create a new table caption object or return an existing one. Returns: A `CAPTION` element. Definition at line 595 of file html_table.cpp.

void HTMLTableElement::deleteCaption | ( |  | ) |

| Delete the table caption, if one exists. Returns: Definition at line 601 of file html_table.cpp.

HTMLElement HTMLTableElement::insertRow | ( | long | index | ) |

  | Insert a new empty row in the table. The new row is inserted immediately before and in the same section as the current indexth row in the table. If index is -1 or equal to the number of rows, the new row is appended. In addition, when the table is empty the row is inserted into a TBODY which is created and inserted into the table. Note. A table row cannot be empty according to HTML 4.0 Recommendation. Parameters:
  index | The row number where to insert a new row. The index starts from 0 and is relative to the logical order (not document order) of all the rows contained inside the table.
Returns: The newly created row. Definition at line 607 of file html_table.cpp.

void HTMLTableElement::deleteRow | ( | long | index | ) |

  | Delete a table row. Parameters:
  index | The index of the row to be deleted. This index starts from 0 and is relative to the logical order (not document order) of all the rows contained inside the table. If the index is -1 the last row in the table is deleted.
Returns: Definition at line 617 of file html_table.cpp.

The documentation for this class was generated from the following files:

- html_table.h
- html_table.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:39:43 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001